import type * as Proto from "@vsc-ts/tsServer/protocol/protocol";
import type * as vscode from "vscode";
import * as lsp from "vscode-languageserver-protocol";
import { URI } from "vscode-uri";
import { WorkspaceShimService } from "../shims/workspace";
import { TSLspConverter } from "../utils/converter";
export declare function createCommandsConverter(converter: TSLspConverter, workspaceService: WorkspaceShimService): {
    "editor.action.showReferences": {
        toArgs: (document: vscode.Uri, codeLensStart: vscode.Position, locations: vscode.Location[]) => (string | lsp.Position | lsp.Location[])[];
    };
    "editor.action.rename": {
        toArgs: (...renamings: (readonly [vscode.Uri, vscode.Position])[]) => (string | lsp.Position)[][];
    };
    "typescript.goToSourceDefinition": {
        fromArgs: (uri: lsp.URI, position: lsp.Position) => (vscode.Position | vscode.TextDocument)[];
        toRes: (locations: vscode.Location[]) => lsp.Location[];
    };
    "typescript.findAllFileReferences": {
        fromArgs: (uri: lsp.URI) => URI[];
        toRes: (locations: vscode.Location[]) => lsp.Location[];
    };
    "_typescript.moveToFileRefactoring": {
        toArgs: ({ action, document, range, }: {
            action: Proto.RefactorActionInfo;
            document: vscode.TextDocument;
            range: vscode.Range;
        }) => (string | lsp.Range | Proto.RefactorActionInfo)[];
        fromArgs: (action: Proto.RefactorActionInfo, uri: lsp.URI, range: lsp.Range) => {
            action: Proto.RefactorActionInfo;
            document: vscode.TextDocument;
            range: vscode.Range;
        }[];
    };
    "_typescript.selectRefactoring": {
        toArgs: ({ document, refactor, rangeOrSelection, }: {
            document: vscode.TextDocument;
            refactor: Proto.ApplicableRefactorInfo;
            rangeOrSelection: vscode.Range | vscode.Selection;
        }) => (string | lsp.Range | Proto.ApplicableRefactorInfo)[];
        fromArgs: (uri: lsp.URI, refactor: Proto.ApplicableRefactorInfo, range: lsp.Range) => {
            document: vscode.TextDocument;
            refactor: Proto.ApplicableRefactorInfo;
            rangeOrSelection: vscode.Range;
        }[];
    };
    "_typescript.applyCodeActionCommand": {
        toArgs: ({ action, diagnostic, document, }: {
            action: Proto.CodeFixAction;
            diagnostic: vscode.Diagnostic;
            document: vscode.TextDocument;
        }) => (string | lsp.Diagnostic | Proto.CodeFixAction)[];
        fromArgs: (action: Proto.CodeFixAction, diagnostic: lsp.Diagnostic, uri: lsp.URI) => {
            action: Proto.CodeFixAction;
            diagnostic: vscode.Diagnostic;
            document: vscode.TextDocument;
        }[];
    };
};
//# sourceMappingURL=commandsConverter.d.ts.map