/// <reference types="vscode/src/vscode-dts/vscode" />
/// <reference types="vscode/src/vscode-dts/vscode.proposed.workspaceTrust" />
import { WorkspaceShimService } from "../shims/workspace";
import { TSLspConverter } from "../utils/converter";
import { createCommandsConverter } from "./commandsConverter";
export declare let commandsConverter: ReturnType<typeof createCommandsConverter>;
export declare function initializeShareMod(converter: TSLspConverter, workspaceService: WorkspaceShimService): {
    commandsConverter: {
        "editor.action.showReferences": {
            toArgs: (document: import("vscode").Uri, codeLensStart: import("vscode").Position, locations: import("vscode").Location[]) => (string | import("vscode-languageserver-protocol").Position | import("vscode-languageserver-protocol").Location[])[];
        };
        "editor.action.rename": {
            toArgs: (...renamings: (readonly [import("vscode").Uri, import("vscode").Position])[]) => (string | import("vscode-languageserver-protocol").Position)[][];
        };
        "typescript.goToSourceDefinition": {
            fromArgs: (uri: string, position: import("vscode-languageserver-protocol").Position) => (import("vscode").Position | import("vscode").TextDocument)[];
            toRes: (locations: import("vscode").Location[]) => import("vscode-languageserver-protocol").Location[];
        };
        "typescript.findAllFileReferences": {
            fromArgs: (uri: string) => import("vscode-uri").URI[];
            toRes: (locations: import("vscode").Location[]) => import("vscode-languageserver-protocol").Location[];
        };
        "_typescript.moveToFileRefactoring": {
            toArgs: ({ action, document, range, }: {
                action: import("typescript/lib/tsserverlibrary").server.protocol.RefactorActionInfo;
                document: import("vscode").TextDocument;
                range: import("vscode").Range;
            }) => (string | import("vscode-languageserver-protocol").Range | import("typescript/lib/tsserverlibrary").server.protocol.RefactorActionInfo)[];
            fromArgs: (action: import("typescript/lib/tsserverlibrary").server.protocol.RefactorActionInfo, uri: string, range: import("vscode-languageserver-protocol").Range) => {
                action: import("typescript/lib/tsserverlibrary").server.protocol.RefactorActionInfo;
                document: import("vscode").TextDocument;
                range: import("vscode").Range;
            }[];
        };
        "_typescript.selectRefactoring": {
            toArgs: ({ document, refactor, rangeOrSelection, }: {
                document: import("vscode").TextDocument;
                refactor: import("typescript/lib/tsserverlibrary").server.protocol.ApplicableRefactorInfo;
                rangeOrSelection: import("vscode").Range | import("vscode").Selection;
            }) => (string | import("vscode-languageserver-protocol").Range | import("typescript/lib/tsserverlibrary").server.protocol.ApplicableRefactorInfo)[];
            fromArgs: (uri: string, refactor: import("typescript/lib/tsserverlibrary").server.protocol.ApplicableRefactorInfo, range: import("vscode-languageserver-protocol").Range) => {
                document: import("vscode").TextDocument;
                refactor: import("typescript/lib/tsserverlibrary").server.protocol.ApplicableRefactorInfo;
                rangeOrSelection: import("vscode").Range;
            }[];
        };
        "_typescript.applyCodeActionCommand": {
            toArgs: ({ action, diagnostic, document, }: {
                action: import("typescript/lib/tsserverlibrary").server.protocol.CodeFixAction;
                diagnostic: import("vscode").Diagnostic;
                document: import("vscode").TextDocument;
            }) => (string | import("vscode-languageserver-protocol").Diagnostic | import("typescript/lib/tsserverlibrary").server.protocol.CodeFixAction)[];
            fromArgs: (action: import("typescript/lib/tsserverlibrary").server.protocol.CodeFixAction, diagnostic: import("vscode-languageserver-protocol").Diagnostic, uri: string) => {
                action: import("typescript/lib/tsserverlibrary").server.protocol.CodeFixAction;
                diagnostic: import("vscode").Diagnostic;
                document: import("vscode").TextDocument;
            }[];
        };
    };
};
//# sourceMappingURL=index.d.ts.map